<html>
<head>
<title>OGRE: Ogre::ControllerValue&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a></div>
<h1>Ogre::ControllerValue&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::ControllerValue" -->Can either be used as an input or output value.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreController_8h-source.html">OgreController.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ControllerValue&lt; T &gt;:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ControllerValue-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#3f27d2383b9e994be2ee5cb71fc603fd">~ControllerValue</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#745741bba579264e57d797683d3feacd">getValue</a> (void) const =0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerValue.html#b719e69a47857662b71041b9c74e546b">setValue</a> (T value)=0</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename T&gt;<br>
 class Ogre::ControllerValue&lt; T &gt;</h3>

Can either be used as an input or output value. 
<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00100">100</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3f27d2383b9e994be2ee5cb71fc603fd"></a><!-- doxytag: member="Ogre::ControllerValue::~ControllerValue" ref="3f27d2383b9e994be2ee5cb71fc603fd" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00104">104</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="745741bba579264e57d797683d3feacd"></a><!-- doxytag: member="Ogre::ControllerValue::getValue" ref="745741bba579264e57d797683d3feacd" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual T <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1AnimationStateControllerValue.html#447ecf125e179012a1efe947d0343b02">Ogre::AnimationStateControllerValue</a>, <a class="el" href="classOgre_1_1FrameTimeControllerValue.html#f2fd240893f74e837ab4311b72690dd0">Ogre::FrameTimeControllerValue</a>, <a class="el" href="classOgre_1_1TextureFrameControllerValue.html#bf2dc15178cafd35eabe8a1de7e0b5f1">Ogre::TextureFrameControllerValue</a>, <a class="el" href="classOgre_1_1TexCoordModifierControllerValue.html#9eb7d0e15bc802e63515356004ef8b96">Ogre::TexCoordModifierControllerValue</a>, and <a class="el" href="classOgre_1_1FloatGpuParameterControllerValue.html#9f7f5e90ec6cafb9508d56cf7bc97343">Ogre::FloatGpuParameterControllerValue</a>.</p>

</div>
</div><p>
<a class="anchor" name="b719e69a47857662b71041b9c74e546b"></a><!-- doxytag: member="Ogre::ControllerValue::setValue" ref="b719e69a47857662b71041b9c74e546b" args="(T value)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ControllerValue.html">Ogre::ControllerValue</a>&lt; T &gt;::setValue           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreController_8h-source.html">OgreController.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
